# $Source: /usr/local/SimSoft/SoftShop/Makevc.def,v $
# $Revision: 1.17 $
# $Author: baum $
# $Date: 2001/11/29 15:52:23 $
#
# Login name of the user who locked the revision
# $Locker:  $
# Tag name used to checkout the file
# $Name: Release-20 $
# State assigned to revision
# $State: Exp $
#
#
# $Log: Makevc.def,v $
# Revision 1.17  2001/11/29 15:52:23  baum
# -In Kalender.cpp und Kalender.h Handsteuerung eingebaut
#

##########################################
# Project directories
#
# TMPDIR = location where object files 
#          should be stored during build
# ROOT   = top of source tree
# STDDIR = VC6-Compiler-Dir
# 
# SOFTSHOPDIR = what it says;-))
# GLDIR  = OpenGL-Install-Dir
#
##########################################

TMPDIR	= .^\

ROOT	= D:\Sfx3D_VC6^\

SOFTSHOPDIR = d:\SoftShop_VC6^\
STDDIR  = D:\Programme\Microsoft Visual Studio\VC98^\

#GLDIR   = D:\Programme\OGLSDK^\
GLDIR   = $(STDDIR)
#D:\Programme\OGL32^\

###########################################
# set the following line to 1
# to compile with debug symbols
# and for PROFILE or TUNE
# OR optimize full with FULLSPEED
###########################################

DEBUG     = 1

!if "$(DEBUG)" == "1"
Profile = 0
!if "$(Profile)" == "0"
TUNE = 0
!endif
!endif

!if "$(DEBUG)" == "0"
FULLSPEED = 1
!endif

###########################################
#  set MSOGL to 1
#  when using Microsoft-OpenGL
#  (otherwise use SGI-OpenGL)
###########################################

MSOGL = 1

###########################################
#  set TCLTKSOURCE to 1
#  when using soucecode of Tcl/Tk
#  (otherwise use Bin-Package)
#  Perhaps you have to edit
#  Path or TCLVersion
###########################################

TCLTKSOURCE   = 1

TCLVERSION    = 84
TCLDOTVERSION = 8.4.2
TIXVERSION    = 81
TIXDOTVERSION = 8.1.4

!if "$(DEBUG)" == "1"
DBGX = d
!endif

!if $(TCLVERSION) >= 84
TCLTKDEFINES = /D"USE_TCL_STUBS" /D"USE_TK_STUBS"
STUBPREFIX   = stub
!else
TCLTKDEFINES =
STUBPREFIX   =
!endif

!if "$(TCLTKSOURCE)" == "1"
TCLDIR  = D:\Programme\TCL$(TCLDOTVERSION)^\
TKDIR   = D:\Programme\TK$(TCLDOTVERSION)^\
!else
TCLDIR  = D:\Programme^\
TKDIR   = $(TCLDIR)
!endif

TCLDLL      = tcl$(TCLVERSION)$(DBGX).dll
TCLLIB      = tcl$(TCLVERSION)$(DBGX).lib
TCLSTUBLIB  = tcl$(STUBPREFIX)$(TCLVERSION)$(DBGX).lib

TKDLL       = tk$(TCLVERSION)$(DBGX).dll
TKLIB       = tk$(TCLVERSION)$(DBGX).lib
TKSTUBLIB   = tk$(STUBPREFIX)$(TCLVERSION)$(DBGX).lib

TIXLIB = tix$(TIXVERSION)$(TCLVERSION)$(DBGX).lib
TIXDLL = tix$(TIXVERSION)$(TCLVERSION)$(DBGX).dll

###########################################
#  !!do not edit below!!
###########################################


!if "$(MSOGL)" == "1"

# Microsoft OpenGL libraries
GLLIB   = opengl32.lib
GLDLL   = opengl32.dll

GLULIB  = glu32.lib
GLUDLL  = glu32.dll

!else

# SGI OpenGL libraries (formerly Cosmo)
GLLIB   = opengl.lib
GLDLL   = opengl.dll

GLULIB  = glu.lib
GLUDLL  = glu.dll

!endif

###########################################
#  SFX3D directories 
###########################################

GSLDIR        = $(ROOT)src\gsl^\
GTSDIR        = $(ROOT)src\gts^\
BINDIR        = $(ROOT)bin^\
INCDIR        = $(ROOT)include^\
LIBDIR        = $(ROOT)lib^\

###########################################
#  SoftShop directories 
###########################################

SOFTINCDIR     = $(SOFTSHOPDIR)include^\
SOFTLIBDIR     = $(SOFTSHOPDIR)lib^\
XGRAPHUTILSDIR = $(SOFTSHOPDIR)XGraph\utils^\


###########################################
# file-extensions as macro 
###########################################

H   = .h
C   = .c
CPP = .cpp

O   = .obj

LIB = .lib
DLL = .dll

E   = .exe
CFG = .cfg

RC  = .rc
RES = .res

INI = .ini

###########################################
#  libs to build and use
###########################################

BASICSLIBNAME = basics
BASICSLIB     = $(BASICSLIBNAME)$(LIB)
BASICSDLL     = $(BASICSLIBNAME)$(DLL)

IDLIBNAME  = identity
IDLIB      = $(IDLIBNAME)$(LIB)
IDDLL      = $(IDLIBNAME)$(DLL)

TTOOLLIBNAME = ttool
TTOOLLIB     = $(TTOOLLIBNAME)$(LIB)
TTOOLDLL     = $(TTOOLLIBNAME)$(DLL)

SIMTOOLLIBNAME = simtool
SIMTOOLLIB     = $(SIMTOOLLIBNAME)$(LIB)
SIMTOOLDLL     = $(SIMTOOLLIBNAME)$(DLL)

XMATHLIBNAME = xmath
XMATHLIB     = $(XMATHLIBNAME)$(LIB)
XMATHDLL     = $(XMATHLIBNAME)$(DLL)

EXECONTEXTLIBNAME = execon
EXECONTEXTLIB     = $(EXECONTEXTLIBNAME)$(LIB)
EXECONTEXTDLL     = $(EXECONTEXTLIBNAME)$(DLL)

NEWSIMCLIBNAME = newsimc
NEWSIMCLIB     = $(NEWSIMCLIBNAME)$(LIB)
NEWSIMCDLL     = $(NEWSIMCLIBNAME)$(DLL)

VIEWSLIBNAME = views
VIEWSLIB     = $(VIEWSLIBNAME)$(LIB)
VIEWSDLL     = $(VIEWSLIBNAME)$(DLL)

XGRAPHLIBNAME = xgraph
XGRAPHLIB     = $(XGRAPHLIBNAME)$(LIB)
XGRAPHDLL     = $(XGRAPHLIBNAME)$(DLL)

MAINLIBNAME = sfxkern
MAINLIB     = $(MAINLIBNAME)$(LIB)
MAINDLL     = $(MAINLIBNAME)$(DLL)
###########################################
# Progs
###########################################

CC      = cl
LD      = link

IMPLIB  = lib
RCC     = rc

CP      = copy
RM      = $(ROOT)\src\rm.bat

###########################################
# these macros cause maximum optimization
#  and no symbols
#
###########################################

!if "$(DEBUG)" == "0"
DEBUGDEFINES = /D "NDEBUG" /D "RELEASE"
DEBUGLDPATH  = $(STDDIR)lib\Release^\
DEBUGLDFLAGS = /nologo /OPT:NOREF /pdb:none /NODEFAULTLIB /machine:I386 /incremental:no /RELEASE
!if "$(FULLSPEED)" == "1"
DEBUGCCFLAGS = /nologo /G6 /MT /W3 /Gi- /GX /Ox /c
!else
DEBUGCCFLAGS = /nologo /G6 /MT /W3 /Gi- /GX /O2 /c
!endif

!else

# these macros enable debugging
DEBUGDEFINES = /D "_DEBUG"
DEBUGLDPATH  = $(STDDIR)lib\Debug^\
!if "$(PROFILE)" == "1"
DEBUGLDFLAGS = /nologo /OPT:NOREF /pdb:none /machine:I386 /incremental:no /MAP /WARN:3 /debug:mapped,partial /debugtype:coff
DEBUGCCFLAGS = /nologo /G6 /MTd /W3 /Gh /Gi- /GX /Z7 /Od /GZ /c
!elseif "$(TUNE)" == "1"
DEBUGLDFLAGS = /nologo /OPT:NOREF /pdb:none /machine:I386 /incremental:no /MAP /WARN:3 /debug:mapped,partial /debugtype:coff
DEBUGCCFLAGS = /nologo /G6 /MTd /W3 /Gh /Gi- /GX /Z7 /Od /GZ /c
!else
DEBUGLDFLAGS = /nologo /OPT:NOREF /pdb:none /machine:I386 /incremental:no /MAP /WARN:3 /debug:full /debugtype:cv
DEBUGCCFLAGS = /nologo /G6 /MTd /W3 /Gi- /GX /Z7 /Od /GZ /c
!endif
!endif

DEFINES = /D "WIN32" /D "_WINDOWS" /D "_MBCS" $(DEBUGDEFINES)
# $(TCLTKDEFINES)

PROJECTCCFLAGS= $(DEBUGCCFLAGS) 

########################################## 
# some INCLUDES
##########################################

!if "$(TCLTKSOURCE)" == "1"
TCLTK_INCLUDES  = /I$(TCLDIR)generic /I$(TKDIR)generic /I$(TKDIR)win /I$(TKDIR)xlib
!else
TCLTK_INCLUDES  = /I$(TCLDIR)include /I$(TKDIR)include
!endif

TIX_INCLUDES    = /I$(TIXDIR)generic

STD_INCLUDES    = /I$(GLDIR)include /I$(INCDIR) /I$(SOFTINCDIR) /I$(STDDIR)include /I$(GSLDIR)

########################################## 
# the LIBDIRS
##########################################

!if "$(TCLTKSOURCE)" == "1"
!if "$(DEBUG)" == "1"
LIBDIRS  = /LIBPATH:".\" /LIBPATH:"$(TCLDIR)win\Debugvc" /LIBPATH:"$(TKDIR)win\Debugvc" /LIBPATH:"$(GLDIR)lib" /LIBPATH:"$(SOFTLIBDIR)" /LIBPATH:"$(DEBUGLDPATH)" /LIBPATH:"$(STDDIR)lib"
!else
LIBDIRS  = /LIBPATH:".\" /LIBPATH:"$(TCLDIR)win\Releasevc" /LIBPATH:"$(TKDIR)win\Releasevc" /LIBPATH:"$(GLDIR)lib" /LIBPATH:"$(SOFTLIBDIR)" /LIBPATH:"$(DEBUGLDPATH)" /LIBPATH:"$(STDDIR)lib" /LIBPATH:"$(JAVALIBDIR)"
!endif
!else
LIBDIRS  = /LIBPATH:".\" /LIBPATH:"$(TCLDIR)lib" /LIBPATH:"$(TKDIR)lib" /LIBPATH:"$(GLDIR)lib" /LIBPATH:"$(SOFTLIBDIR)" /LIBPATH:"$(DEBUGLDPATH)" /LIBPATH:"$(STDDIR)lib" /LIBPATH:"$(JAVALIBDIR)"
!endif

########################################## 
# compiler and linker flags
##########################################

CONLNFLAGS_exe = /subsystem:console      $(LIBDIRS) $(DEBUGLDFLAGS)
LNFLAGS_exe    = /subsystem:windows      $(LIBDIRS) $(DEBUGLDFLAGS)
LNFLAGS_dll    = /subsystem:windows /dll $(LIBDIRS) $(DEBUGLDFLAGS)

!if "$(PROFILE)" == "1"
STD_LNLIBS_dll = cap.lib
STD_LNLIBS_exe = cap.lib
!elseif "$(PROFILE)" == "1"
STD_LNLIBS_dll = wst.lib
STD_LNLIBS_exe = wst.lib
!endif

########################################## 
# Global makefile settings an objects
##########################################

.SUFFIXES: $(H) $(C) $(CPP) $(O) $(LIB) $(DLL) $(E)

#vpath % $(GSLDIR):$(GTSDIR)

###########################################
# Implicit Targets
###########################################

$(C)$(O):
	$(CC) @<<
		@vcc32.cfg "$<"
<<

$(CPP)$(O):
	$(CC) @<<
		@vcc32.cfg "$<"
<<

$(RC)$(RES):
	$(RCC) /X /fo$@ $<


